Retrieve all DPU Extension Services

View as Markdown

Retrieve all DPU Extension Services for the current Tenant

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptional
Filter DPU Extension Services by Site ID
statusenumOptional
Status filter for the DPU Extension Services
Allowed values:
querystringOptional
Search for matches across all DPU Extension Services. Input will be matched against name, description, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the DPU Extension Service
namestringOptional
Name for the DPU Extension Service. Must be unique for a given Tenant
descriptionstring or nullOptional
Optional description for the DPU Extension Service
serviceTypeenumOptional
Type of the DPU Extension Service
siteIdstringOptionalformat: "uuid"
ID for the Site the DPU Extension Service belongs to
tenantIdstringOptionalformat: "uuid"
ID for the Tenant the DPU Extension Service belongs to
versionstring or nullOptional
Latest version of the DPU Extension Service
versionInfoobjectOptional
Details for the latest version of the DPU Extension Service
activeVersionslist of stringsOptional
Latest and past versions of this DPU Extension Service that have not been deleted and are available for deployment
statusenumOptional
Status of the DPU Extension Service
statusHistorylist of objectsOptional
History of the DPU Extension Service statuses
createddatetimeOptionalRead-only

Date/time when the DPU Extension Service was created

updateddatetimeOptionalRead-only

Date/time when the DPU Extension Service was last updated

Errors

403
Forbidden Error